> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/v2.7/platform/installation/more-deploy-docs/digit-deployment-on-aws/backbone-deployment.md).

# Backbone Deployment

### Overview

Once the cluster is ready and healthy you can start deploying backbones services.

Deploy configuration and deployment in the following Services Lists

1. Backbone (Redis, ZooKeeper-v2, Kafka-v2,elasticsearch-data-v1, elasticsearch-client-v1, elasticsearch-master-v1)
2. Gateway (Zuul, nginx-ingress-controller)

### Pre-requisites

* Understanding of VM Instances, LoadBalancers, SecurityGroups/Firewalls, nginx, DB Instance, Data Volumes.
* Experience of Kubernetes, Docker, Jenkins, helm, golang, Infra-as-code.

Deploy configuration and deployment backbone services:

1. Clone the git repo[ ![](https://github.githubassets.com/favicon.ico)https://github.com/egovernments/eGov-infraOps](https://github.com/egovernments/eGov-infraOps) . Copy existing [dev.yaml](https://github.com/egovernments/eGov-infraOps/blob/master/helm/environments/dev.yaml) and [dev-secrets.yaml](https://github.com/egovernments/eGov-infraOps/blob/master/helm/environments/dev-secrets.yaml) with new environment name (eg..yaml and-secrets.yaml)
2. Modify the global domain and set namespaces create to true

![](https://gblobscdn.gitbook.com/assets%2F-MERG_iQW5oN4ukgXP8K%2F-MGrj6BrCyQtBc7G4ijs%2F-MGrupRtrQfYiFoTL3XU%2Fimage.png?alt=media\&token=8a640c33-f38c-4580-bf8c-caa157f34b6b)

1. Modify the below-mentioned changes for each backbone services:

Eg. For Kafka-v2 If you are using **AWS as cloud provider,** change the respective volume id’s and zone’s

(You will get the volume id’s and zone details from either remote state bucket or from AWS portal)

![](https://gblobscdn.gitbook.com/assets%2F-MERG_iQW5oN4ukgXP8K%2F-MGrj6BrCyQtBc7G4ijs%2F-MGruyV9kiA__4LV9Lk4%2Fimage.png?alt=media\&token=2cc00446-64c9-4f9f-8ac8-867e064ffc44)

Eg. Kafka-v2 If you are using **Azure cloud provider,** change the diskName and diskUri

(You will get the volume id’s and zone details from either remote state bucket or from Azure portal)

![](https://gblobscdn.gitbook.com/assets%2F-MERG_iQW5oN4ukgXP8K%2F-MGrj6BrCyQtBc7G4ijs%2F-MGrv51muGFmWUGyVBK3%2Fimage.png?alt=media\&token=60131808-5004-463e-861c-9d777d32f09e)

Eg. Kafka-v2 If you are using **ISCSI ,** change the targetPortal and iqn.

![](https://gblobscdn.gitbook.com/assets%2F-MERG_iQW5oN4ukgXP8K%2F-MGrj6BrCyQtBc7G4ijs%2F-MGrv9UA0Up-YonBuNxS%2Fimage.png?alt=media\&token=aabe3f81-21a0-4973-be51-d2648a4f914d)

1. Deploy the backbone services using go command

```
cd /eGov-infraOps/egov-deployergo run main.go deploy -e dev -p -c 'kafka-v2,redis,zookeeper-v2,elasticsearch-data-v1,elasticsearch-master-v1,playground,cert-manager,kafka-connect,kafka-connect-restart-tasks,kibana-v1,nginx-ingress'
```

Modify the “dev” environment name with your respective environment name.

**Flags**:

* e --- Environment name
* p --- Print the manifest
* c --- Enable Cluster Configs

1. Check the Status of pods

```
kubectl get pods --all-namespaces
```

​

[![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)​](http://creativecommons.org/licenses/by/4.0/)All content on this page by [eGov Foundation](https://egov.org.in/) is licensed under a [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/local-governance/v2.7/platform/installation/more-deploy-docs/digit-deployment-on-aws/backbone-deployment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
